Subject: Re: linux-next: Tree for December 3 (MFD)

From: Samuel Ortiz <[email-masked]>
Date: Sun, 7 Dec 2008 21:22:49 +0100

On Wed, Dec 03, 2008 at 05:33:39PM -0800, Randy Dunlap wrote:
> Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20081202:
> > 
> > Today's tree fails the powerpc allyesconfig build.
> 
> 
> drivers/mfd/twl4030-core.c uses clk_get_rate() and clk_put(),
> but they don't seem to exist for x86, so I'm getting build errors:
> 
> twl4030-core.c:(.text+0x16a797): undefined reference to `clk_get_rate'
> twl4030-core.c:(.text+0x16a7a6): undefined reference to `clk_put'
On my build system, I can't trigger this build error until I remove the osc =
ERR_PTR(-EIO); line. I assume gcc is smart enough to compile the rest of the
code out when osc is set to ERR_PTR().
Anyway, the fix is now part of my for-next branch.

Cheers,
Samuel.

> ~Randy

-- 
Intel Open Source Technology Centre
http://oss.intel.com/